I have a iMAC 8. To upgrade to the most recent program, do I have to install snow leopard or mountain lion first?

Mac

Follow this Question

1 Answer from the Community

  • I had to do SL to even see any pps which was prerequisite so essential before ML in my Imac intel core 2 2006 at leat

    Was this useful? Answer 1

    0 of 0 people found this useful

Similar Questions

See more Similar Questions